Get Resource
Fetch one row (404 outside this partner + environment).
curl -X GET "https://sandbox.rasto.co/api/transactions/example_string" \
-H "Content-Type: application/json" \
-H "Api-Key: example_string" \
-H "Api-Version: example_string" \
-H "Api-Key: YOUR_API_KEY"
import requests
import json
url = "https://sandbox.rasto.co/api/transactions/example_string"
headers = {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox.rasto.co/api/transactions/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Api-Key": "YOUR_API_KEY",
"Api-Version": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox.rasto.co/api/transactions/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Api-Key", "example_string")
req.Header.Set("Api-Version", "example_string")
req.Header.Set("Api-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox.rasto.co/api/transactions/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Api-Key'] = 'example_string'
request['Api-Version'] = 'example_string'
request['Api-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{}
{
"error": "Unprocessable Entity",
"message": "The request was well-formed but contains semantic errors",
"code": 422,
"details": [
{
"field": "password",
"message": "Password must be at least 8 characters long"
}
]
}
GET
/api/transactions/{resource_id}GET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: Api-Key)
Api-Keystring
RequiredAPI key (sent in header)
header
Api-Versionstring
The /api contract to serve this request under, as an ISO date. Omit to use the default (2026-08-01), omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Api-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Headers
Api-Versionstring
The /api contract to serve this request under, as an ISO date. Omit to use the default (2026-08-01), omitting it always keeps today's behaviour, so a future breaking change cannot move you. Supported: 2026-08-01.
Responses
Successful Response
Was this page helpful?